from office365.entity import Entity


class IdentityUserFlowAttribute(Entity):
    """
    Represents user flow attributes in an Azure Active Directory (Azure AD) tenant.

    Configuring user flow attributes in your Azure AD tenant allows you to collect information about
    a user during sign-up. You can choose to collect a built-in set of attributes. For example, given name, surname,
    city, and postal code. You can also configure custom user flow attributes to collect information
    from a user that is not built in to the directory. Custom user flow attributes are an abstraction over
    Azure Active Directory schema extensions.
    """

    pass
